<?php
declare(strict_types=1);

namespace GamesShop\Login;

enum UserPermission : int
{
    case NONE = 0;
    case VIEWER = 1;
    case PROVIDER = 10;
    case ADMIN = 100;

    public function hasLevel(UserPermission $userPermission): bool {
        return $this->value >= $userPermission->value;
    }

    public function getHumanReadableName() {
        return match ($this) {
            self::VIEWER => "Claimer",
            self::PROVIDER => "Provider",
            self::ADMIN => "Admin",
            default => "None",
        };
    }
}
