<?php
declare(strict_types=1);

use GamesShop\ContainerHandler;
use GamesShop\DoctrineManager;
use GamesShop\Environment\EnvironmentHandler;
use GamesShop\Routing\Router;
use Laminas\HttpHandlerRunner\Emitter\SapiEmitter;
use Whoops\Handler\HandlerInterface;
use Whoops\Handler\PrettyPageHandler;
use Whoops\Run;

require_once __DIR__ . '/../src/php/bootstrap.php';

$whoops = new Run();
$prettyPageHandler = new PrettyPageHandler();
$whoops->pushHandler($prettyPageHandler);
$whoops->register();

ContainerHandler::getInstance()->addShared(HandlerInterface::class, $prettyPageHandler);

$router = ContainerHandler::getInstance()->get(Router::class);
$result = $router->route();

(new SapiEmitter)->emit($result);